QGIS crashes when using QgsGeometryRubberBand in pyqgis

2017-01-17 01:35 AM - Casper Børgesen

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Python plugins

Affected QGIS version:2.18.2 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 24001

Description

Since the release of QGIS 2.18.2 (or maybe even 2.18.1) the use of QgsGeometryRubberBand in pyqgis makes QGIS crashing.

Steps to reproduce in the python console:

from qgis.core import *

from qgis.gui import *

rb = QgsGeometryRubberBand(iface.mapCanvas(), QGis.Polygon)

geom = QgsGeometry.fromWkt('POLYGON((0 0, 0 1, 1 1, 1 0, 0 0))')

rb.setGeometry(geom.geometry().clone())

History

#1 - 2017-01-17 07:48 AM - Giovanni Manghi

- Category set to Python plugins

- Status changed from Open to Feedback

was ok before 2.18.2/1?

#2 - 2017-01-17 07:54 AM - Casper Børgesen

Yes, when using 2.18.0 it worked fine. As far as I can see the last changes to the files qgsgeometryrubberband.h/cpp are older and I haven't been able to

build the latest 2.18 source for Windows, so I cannot pinpoint it better at the moment.

#3 - 2017-01-18 04:58 AM - Giovanni Manghi

Casper Børgesen wrote:

Yes, when using 2.18.0 it worked fine. As far as I can see the last changes to the files qgsgeometryrubberband.h/cpp are older and I haven't been

able to build the latest 2.18 source for Windows, so I cannot pinpoint it better at the moment.

what about LTR (2.14.*)?

#4 - 2017-01-18 11:39 PM - Casper Børgesen
Giovanni Manghi wrote:

Casper Børgesen wrote:

Yes, when using 2.18.0 it worked fine. As far as I can see the last changes to the files qgsgeometryrubberband.h/cpp are older and I haven't been

able to build the latest 2.18 source for Windows, so I cannot pinpoint it better at the moment.

what about LTR (2.14.*)?

It works fine in 2.14.10, I cannot say about other versions of the 2.14 tree.

#5 - 2017-03-06 02:24 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

spoke with a dev and he says that the last line now should be just

rb.setGeometry(geom.geometry())

after some API cleanup.

#6 - 2017-03-07 01:59 AM - Casper Børgesen

Giovanni Manghi wrote:

spoke with a dev and he says that the last line now should be just

rb.setGeometry(geom.geometry())

after some API cleanup.

Great to hear. I can verify that it works in 2.99.0-Master (c1ede00) but can you tell me if the changes has made its way into the 2.18.x and 2.14.x branch?

#7 - 2017-03-07 02:02 AM - Giovanni Manghi

Great to hear. I can verify that it works in 2.99.0-Master (c1ede00) but can you tell me if the changes has made its way into the 2.18.x and 2.14.x

branch?

better asked in the dev mailing list, I'm not really the right guy for this stuff :)

#8 - 2017-03-07 02:15 AM - Casper Børgesen

Giovanni Manghi wrote:

Great to hear. I can verify that it works in 2.99.0-Master (c1ede00) but can you tell me if the changes has made its way into the 2.18.x and 2.14.x

2025-04-27 2/3



branch?

better asked in the dev mailing list, I'm not really the right guy for this stuff :)

Can you provide a hint to who you spoke to or should I just spam the list?
